Create a task
post
/v1/tasksCreates a task. JSON:API payload: data.attributes (title required) + optional data.relationships (assigned_to people / parent_task tasks).
Requires a bearer token: Authorization: Bearer <token>.
Request
cURL
curl -X POST https://api.wellapp.ai/v1/tasks \
-H "Authorization: Bearer $WELL_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"data": {
"type": "tasks",
"attributes": {
"title": "Categorize the AWS and Vercel spend",
"executor_type": "human",
"priority": "high",
"due_date": "2026-06-15"
}
}
}'Request body
{
"data": {
"type": "tasks",
"attributes": {
"title": "Categorize the AWS and Vercel spend",
"executor_type": "human",
"priority": "high",
"due_date": "2026-06-15"
}
}
}Responses
201 — Task created.
{
"data": {
"type": "tasks",
"id": "7b2f…",
"attributes": {
"title": "Reconcile March before the board call",
"status": "open",
"priority": "high"
},
"relationships": {
"template": {
"data": {
"type": "task_template",
"id": "00000000-0000-4000-8000-000000000001"
}
},
"parent_task": {
"data": {
"type": "task",
"id": "00000000-0000-4000-8000-000000000001"
}
},
"subtasks": {
"data": [
{
"type": "task",
"id": "00000000-0000-4000-8000-000000000001"
}
]
},
"assigned_to": {
"data": {
"type": "people",
"id": "00000000-0000-4000-8000-000000000001"
}
},
"created_by": {
"data": {
"type": "people",
"id": "00000000-0000-4000-8000-000000000001"
}
}
}
}
}400 — Validation error.
{
"code": "BAD_REQUEST",
"status": 400,
"title": "Bad Request",
"message": "See title.",
"meta": {
"trace_id": "a1b2c3",
"log_id": "a1b2c3"
}
}401 — Missing or invalid Bearer token.
{
"code": "UNAUTHORIZED",
"status": 401,
"title": "Unauthorized",
"message": "See title.",
"meta": {
"trace_id": "a1b2c3",
"log_id": "a1b2c3"
}
}